#!/bin/bash

# Meta package to recompile the alix kernel in exaxt the same way as already done with linux.sh
# but use the newly generated ${BUILDDIR}/initramfs.cpio instead of an empty one.

##################################################
VERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`
##################################################

cd ${BUILDDIR}/linux-${VERSION}-${BOARDNAME} &&
rm .version &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- bzImage
